<template lang="pug">
main.overflow-hidden.py-8.pb-16
  ContentQuery(:path="$route.path", :locale="$i18n.locale", find="one")
    template(#default="{ data }")
      .prose.mx-auto.py-8.px-2(class="lg:prose-lg")
        ContentRenderer(:value="data")
          .flex.items-start.pt-1.not-prose.py-2
            .flex.flex-col
              .flex.items-center.space-x-1
                icon(name="carbon:pen-fountain")
                p.font-semibold.text-sm {{ data.author }}
              .flex.items-center.space-x-1
                icon(name="carbon:calendar")
                p.text-sm {{ new Date(data.createdAt).toLocaleDateString() }}
              .flex.items-center.space-x-1
                icon(name="carbon:collapse-categories")
                p.text-sm {{ data.category }}
            .flex.flex-1.justify-end.space-x-2
              .flex.items-center.space-x-1
                icon(name="carbon:time")
                p.text-sm {{ $t('label.wordCount', Math.ceil(data.readingTime.words)) }}
              .flex.items-center.space-x-1
                icon(name="carbon:time")
                p.text-sm {{ $t('label.readingTime', Math.ceil(data.readingTime.minutes)) }}
          ContentRendererMarkdown(:value="data")
    template(#not-found)
      .flex-1.px-4.py-16.bg-white.min-h-screen(
        class="dark:bg-black sm:px-6 sm:py-24 md:grid md:place-items-center lg:px-8"
      )
        .mx-auto.max-w-max
          section(class="sm:flex")
            p.text-4xl.font-semibold.text-primary(class="sm:text-5xl") 404
            div(class="sm:ml-6")
              div(class="sm:border-l sm:u-border-gray-200 sm:pl-6")
                h1.text-4xl.font-semibold.tracking-tight.u-text-gray-900(
                  class="sm:text-5xl"
                ) Page not found
                p.mt-1.text-xl.u-text-gray-500 Page not found
              .flex.gap-3.mt-10(class="sm:border-l sm:border-transparent sm:pl-6")
                nuxt-link.btn(to="/") {{ $t('gobackhome') }}
  nav.px-2.flex.flex-col.max-w-screen-sm.mx-auto.space-y-4(
    class="md:flex-row md:space-x-4 lg:max-w-screen-md lg:px-8 md:space-y-0"
  )
    nuxt-link.p-4.gap-2.flex.items-center.text-left.border.border-base-200.rounded.font-medium(
      v-if="prev",
      :to="prev._path",
      class="hover:bg-base-200 hover:text-primary"
    )
      icon.w-5.h-5(name="tabler:arrow-narrow-left", class="md:w-8 md:h-8")
      | {{ prev.title }}

    nuxt-link.p-4.gap-2.flex.items-center.justify-end.text-right.border.border-base-200.rounded.font-medium(
      v-if="next",
      :to="next._path",
      class="hover:bg-base-200 hover:text-primary"
    )
      | {{ next.title }}
      icon.w-5.h-5(name="tabler:arrow-narrow-right", class="md:w-8 md:h-8")
</template>

<script setup lang="ts">
const { path } = useRoute()
const { locale } = useI18n()

const { data: page } = await useAsyncData('my-page', queryContent(path).findOne)
useContentHead(page as any)

const [prev, next] = await queryContent()
  .locale(locale.value)
  .only(['_path', 'title'])
  .findSurround(path)
</script>
